Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2220528 - F39FailsToInstall: python3-tables
Summary: F39FailsToInstall: python3-tables
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-tables
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F39FailsToInstall PYTHON3.12 2219950 2220181 2220307 2220442
TreeView+ depends on / blocked
 
Reported: 2023-07-05 19:22 UTC by Fedora Fails To Install
Modified: 2023-07-18 14:20 UTC (History)
6 users (show)

Fixed In Version: python-tables-3.7.0-9.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-18 14:09:56 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Build log (deleted)
2023-07-12 09:13 UTC, david08741
no flags Details

Description Fedora Fails To Install 2023-07-05 19:22:13 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (python-tables) Fails To Install in Fedora 39:

can't install python3-tables:
  - nothing provides python3.11dist(packaging) needed by python3-tables-3.7.0-7.fc38.x86_64
  - nothing provides python(abi) = 3.11 needed by python3-tables-3.7.0-7.fc38.x86_64
  - nothing provides python3.11dist(numpy) >= 1.19 needed by python3-tables-3.7.0-7.fc38.x86_64
  - nothing provides python3.11dist(numexpr) >= 2.6.2 needed by python3-tables-3.7.0-7.fc38.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install python3-tables


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 david08741 2023-07-12 09:13:18 UTC
Created attachment 1975327 [details]
Build log

Several tests fail with:

Traceback (most recent call last):
  File "tables/tableextension.pyx", line 1507, in tables.tableextension.Row.__getitem__
KeyError: slice(None, None, 2)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "tables/tableextension.pyx", line 124, in tables.tableextension.get_nested_field_cache
KeyError: slice(None, None, 2)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-tables-3.7.0-8.fc39.aarch64/usr/lib64/python3.12/site-packages/tables/tests/test_tables.py", line 489, in test01a_extslice
    result = [rec[::2] for rec in table.iterrows()
              ~~~^^^^^
  File "tables/tableextension.pyx", line 1511, in tables.tableextension.Row.__getitem__
  File "tables/tableextension.pyx", line 131, in tables.tableextension.get_nested_field_cache
  File "tables/utilsextension.pyx", line 838, in tables.utilsextension.get_nested_field
AttributeError: 'slice' object has no attribute 'encode'

Comment 2 Fedora Fails To Install 2023-07-13 12:00:02 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 3 Fedora Update System 2023-07-18 14:07:20 UTC
FEDORA-2023-8bea9af847 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8bea9af847

Comment 4 Fedora Update System 2023-07-18 14:09:56 UTC
FEDORA-2023-8bea9af847 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.